﻿# Фирма продажи кроссовок

![Logo](Logo.jpg)

## Как и для чего использовать приложение

Концепция приложения состоит в том, чтобы клиентам было *проще* заказать свои любимые бренды кроссовок <br/>
зарегестрированных в программе.

Интерфейс программы, разработан так, чтобы пользователю было удобно проссматривать кроссовки <br/>
В приложении также разработано меню **администратор**.

### Функционал Администратора

![Functional Administrator](AdminMenu.jpg)

![Functional Administrator](AdminData.jpg)

![Functional Administrator](AdminSneaker.jpg)

-—

## Работа проекта
Приложение написанно на технологии **WPF** с помощью языка **C#**.
Было подлкючена База данных SQL для работы с данными.


![БазаДанных](DataBase.jpg)

## Степень готовности проекта

Этапы реализованные в приложении на данный момент:

Для **администратора**:
- [x] Просмотр/редактирование/добавление Кроссовок.
- [x] Просмотр списка пользователей.
- [x] Фильтрация/сортировка пользователей.
- [x] Фильтрация/сортировка данных о Кроссовках.

-—

Для **пользователя**:
- [x] Вход в личный кабинет.
- [ ] Просмотр личных данных.
- [ ] Редактирование личных данных.
- [ ] Редактирование данных авторизации.

## Запуск проекта

Чтобы запустить приложение, нужно клонировать его с репозитория **gogs** в среду разработки **Visual Studio**.
После открыть файл с расширением **sln**.
После открытия запустить отладку приложения.

*При возникновении ошибки, нужно поменять строку подключения в файле App.config*

	<connectionStrings>
	<add name="Sniker" connectionString="metadata=res://*/Model1.csdl|res://*/Model1.ssdl|res://*/Model1.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=ngknn.ru;initial catalog=43П-МДК0101-Скакунов;persist security info=True;user id=43П;password=444444;MultipleActiveResultSets=True;App=EntityFramework&quot;" providerName="System.Data.EntityClient" />
	 </connectionStrings>

*Изменить data source=sql на data source=ngknn.ru*

data source=sql

-—

### Авторы

**Никита**</br>
Ссылка на мой профиль - [SkNikita](http://gogs.ngknn.ru:3000/SkakunovNikita)